## soapysdr 0.7.1

=== debian/changelog ===
soapysdr (0.7.1-3~mx19+1) mx; urgency=medium

  * Initial packaging for MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Wed, 15 Jan 2020 15:26:51 -0500

soapysdr (0.7.1-3) unstable; urgency=medium

  * Team upload.
  * Drop python2 module. (Closes: #938510)
  * Add debian/gitlab-ci.yml; disable reprotest for now.
  * Add autopkgtest along the contents of .travis.yml.

 -- Christoph Berg <myon@debian.org>  Tue, 24 Dec 2019 22:57:15 +0100

soapysdr (0.7.1-2) unstable; urgency=medium

  * Upload to unstable
  * Increase debhelper compat level to 12
  * Bump Standards-Version to 4.4.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sat, 19 Oct 2019 19:17:56 +0200

soapysdr (0.7.1-1) experimental; urgency=medium

  * New upstream version 0.7.1
  * Change library ABI version in package names and dependencies from 0.6
    to 0.7
  * Bump Standards-Version to 4.4.0, no changes required
  * Update copyright lines in debian/copyright

 -- Andreas Bombe <aeb@debian.org>  Thu, 12 Sep 2019 01:30:42 +0200

soapysdr (0.6.1-4) unstable; urgency=medium

  * Build-Depend on python*-dev instead of python*-all-dev (Closes: 904095)
  * Bump Standards-Version to 4.2.0, no changes required

 -- Andreas Bombe <aeb@debian.org>  Wed, 22 Aug 2018 01:43:50 +0200

soapysdr (0.6.1-3) unstable; urgency=medium

  * Adapt Vcs-* fields in debian/control to changed path on salsa.debian.org
  * Add Build-Depends on python3-distutils since it isn't pulled in by
    python3 anymore
  * Use https URL for debian/copyright Format header

 -- Andreas Bombe <aeb@debian.org>  Fri, 23 Mar 2018 02:18:49 +0100

soapysdr (0.6.1-2) unstable; urgency=medium

  * Let python3-soapysdr recommend the correct python3-numpy instead of
    python-numpy
  * Make use of dh-python for Python library packages
  * Change Vcs fields in debian/control to point to new repository location
    on salsa.debian.org
  * Bump Standards-Version to 4.1.3, no changes required
  * Increase debhelper compat level to 11
  * Remove lintian override for doxygen embedded javascript library, not
    needed anymore

 -- Andreas Bombe <aeb@debian.org>  Mon, 05 Feb 2018 03:29:42 +0100
