=== debian/changelog ===
soapysdr (0.7.2-2) unstable; urgency=medium

  [ Christoph Berg ]
  * soapysdr0.7-module-all: Add dependencies on soapysdr0.7-module-mirisdr
    and soapysdr0.7-module-rfspace. Spotted by Daniele Forsi, thanks!
    (Closes: #948624)

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Bombe ]
  * Increase debhelper compat level to 13
  * Bump Standards-Version to 4.5.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Fri, 05 Mar 2021 02:26:10 +0100

soapysdr (0.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version compatible with python 3.8.

 -- Christoph Berg <myon@debian.org>  Wed, 04 Mar 2020 20:26:10 +0100
