=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: soapysdr
 Section: hamradio
 Priority: optional
-Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Uploaders: Andreas Bombe <aeb@debian.org>
 Build-Depends:
-    debhelper (>= 12),
+    debhelper-compat (= 13),
     dh-python,
     cmake,
     swig,
@@ -12,7 +12,7 @@
     python3-distutils
 Build-Depends-Indep:
     doxygen
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://github.com/pothosware/SoapySDR/wiki
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapysdr
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapysdr.git
@@ -90,9 +90,11 @@
     soapysdr0.7-module-bladerf [!hurd-i386 !m68k !powerpcspe !sh4],
     soapysdr0.7-module-hackrf [!hurd-i386],
     soapysdr0.7-module-lms7 [!powerpcspe],
+    soapysdr0.7-module-mirisdr [!hurd-i386],
     soapysdr0.7-module-osmosdr [!hurd-i386],
     soapysdr0.7-module-redpitaya,
     soapysdr0.7-module-remote,
+    soapysdr0.7-module-rfspace [!hurd-i386],
     soapysdr0.7-module-rtlsdr [!hurd-i386],
     soapysdr0.7-module-uhd,
     ${misc:Depends}
