=== debian/watch ===
version=4
https://github.com/pothosware/SoapySDR/releases .*/soapy-sdr-([\d\.]+)\.tar\.(?:xz|gz|bz2)
